List Customers
curl --request GET \
--url https://connect.withvayu.com/customers \
--header 'Authorization: Bearer <token>'{
"customers": [
{
"name": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"aliases": [],
"contacts": [
{
"name": "<string>",
"email": "<string>",
"title": "<string>",
"phone": "<string>",
"receiveInvoiceEmail": true
}
],
"legalName": "<string>",
"taxIds": [],
"taxId": "<string>",
"cloudProviderSettings": {
"cloudProvider": "AWS",
"cloudProviderMarketplaceId": "<string>",
"customerIdentifier": "<string>"
},
"externalId": "<string>",
"customerErpId": "<string>",
"address": {
"country": "<string>",
"city": "<string>",
"addressText": "<string>",
"state": "<string>",
"postalCode": "<string>"
},
"salesForceAccountId": "<string>",
"customFields": [
{
"vayuCustomFieldName": "<string>",
"fieldPath": "<string>",
"value": "<unknown>"
}
],
"subsidiary": "<string>",
"totalOutstandingAmount": 123,
"openAmount": 123,
"overdueAmount": 123,
"pendingPaymentAmount": 123,
"paidAmount": 123
}
],
"total": 123,
"hasMore": true,
"nextCursor": "<string>"
}Customers
List Customers
Get a list of Customers.
GET
/
customers
List Customers
curl --request GET \
--url https://connect.withvayu.com/customers \
--header 'Authorization: Bearer <token>'{
"customers": [
{
"name": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"aliases": [],
"contacts": [
{
"name": "<string>",
"email": "<string>",
"title": "<string>",
"phone": "<string>",
"receiveInvoiceEmail": true
}
],
"legalName": "<string>",
"taxIds": [],
"taxId": "<string>",
"cloudProviderSettings": {
"cloudProvider": "AWS",
"cloudProviderMarketplaceId": "<string>",
"customerIdentifier": "<string>"
},
"externalId": "<string>",
"customerErpId": "<string>",
"address": {
"country": "<string>",
"city": "<string>",
"addressText": "<string>",
"state": "<string>",
"postalCode": "<string>"
},
"salesForceAccountId": "<string>",
"customFields": [
{
"vayuCustomFieldName": "<string>",
"fieldPath": "<string>",
"value": "<unknown>"
}
],
"subsidiary": "<string>",
"totalOutstandingAmount": 123,
"openAmount": 123,
"overdueAmount": 123,
"pendingPaymentAmount": 123,
"paidAmount": 123
}
],
"total": 123,
"hasMore": true,
"nextCursor": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I
